View Issue Details

IDProjectCategoryView StatusLast Update
0000756SOGoBackend Calendarpublic2010-10-08 16:36
Reporterbertails Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.0 
Target Version1.3.3Fixed in Version1.3.3 
Summary0000756: Groups are not usable in practice
Description

How to reproduce:

  • B is part of group G
  • user A creates a calendar and shares it with group G
  • for each operation done by B, SOGo tries to bind to the LDAP with any user in G. It even seems to open all the connections in parallel. During that time, sogod takes all the resources.

At the end, the sharing works but you have to wait that all the LDAP connections end.

Additional Information

If A shares the calendar with B explicitly, this behavior stops as there is no need to look into the groups.

TagsNo tags attached.

Activities

ludovic

ludovic

2010-09-24 11:30

administrator   ~0001513

Added two-level of caching to make sure things are uber fast.

http://mtn.inverse.ca/revision/diff/a21045504db4729f0a32f67e4bba1f563ea16625/with/e1912bf4962632854ed7898edea3ca2ba3a70406

bertails

bertails

2010-10-06 16:02

reporter   ~0001547

I still see many connections to the LDAP (BIND): one for each user in the specified LDAP group. It's still very slow.

I've tested in SOGo 1.3.2. memcache is activated.

francis

francis

2010-10-06 16:03

administrator   ~0001548

The fix is in trunk, not 1.3.2.

ludovic

ludovic

2010-10-08 16:36

administrator   ~0001589

Testing PEBCAK.

Issue History

Date Modified Username Field Change
2010-08-19 17:42 bertails New Issue
2010-08-26 21:27 ludovic Target Version => 1.3.2
2010-09-16 09:01 ludovic Target Version 1.3.2 => 1.3.3
2010-09-24 11:30 ludovic Note Added: 0001513
2010-09-24 11:30 ludovic Status new => closed
2010-09-24 11:30 ludovic Resolution open => fixed
2010-09-24 11:30 ludovic Fixed in Version => 1.3.3
2010-09-24 11:38 francis Status closed => resolved
2010-09-24 11:38 francis Assigned To => francis
2010-10-06 16:02 bertails Note Added: 0001547
2010-10-06 16:02 bertails Status resolved => feedback
2010-10-06 16:02 bertails Resolution fixed => reopened
2010-10-06 16:03 francis Note Added: 0001548
2010-10-08 16:36 ludovic Note Added: 0001589
2010-10-08 16:36 ludovic Status feedback => resolved
2010-10-08 16:36 ludovic Resolution reopened => fixed